<?php
/**
 * The template to display default site footer
 *
 * @package HYGIA
 * @since HYGIA 1.0.10
 */

$hygia_footer_id = hygia_get_custom_footer_id();
$hygia_footer_meta = get_post_meta( $hygia_footer_id, 'trx_addons_options', true );
if ( ! empty( $hygia_footer_meta['margin'] ) ) {
	hygia_add_inline_css( sprintf( '.page_content_wrap.page_content_wrap_custom_footer_margin{padding-bottom:%s}', esc_attr( hygia_prepare_css_value( $hygia_footer_meta['margin'] ) ) ) );
}
?>
<footer class="footer_wrap footer_custom footer_custom_<?php echo esc_attr( $hygia_footer_id ); ?> footer_custom_<?php echo esc_attr( sanitize_title( get_the_title( $hygia_footer_id ) ) ); ?>
						<?php
						$hygia_footer_scheme = hygia_get_theme_option( 'footer_scheme' );
						if ( ! empty( $hygia_footer_scheme ) && ! hygia_is_inherit( $hygia_footer_scheme  ) ) {
							echo ' scheme_' . esc_attr( $hygia_footer_scheme );
						}
						?>
						">
	<?php
	// Custom footer's layout
	do_action( 'hygia_action_show_layout', $hygia_footer_id );
	?>
</footer><!-- /.footer_wrap -->
